Toon posts:

[winxp] nut van meerdere .net instalaties?

Pagina: 1
Acties:

  • DeNachtwacht
  • Registratie: december 2005
  • Laatst online: 25-09 01:16
Hey,

ik zie net ineens dat er zo langzamerhand 5 versies van microsoft .net op mijn xp machine geinstaleerd staan (1.1, 2.0, 3.0, 3.5 en 4). Ivm de beperkte systeemresources (netbook) vroeg ik me af wat het nut van al deze verschillende versies is? Ik heb 1.1 kunnen verwijderen maar de rest blijft geblockt staan.

Iemand een idee of dit idd allemaal noodzakelijk is? Met de meest actuele versie (4.0) zou ik toch klaar moeten zjin lijkt me.

  • Tsurany
  • Registratie: juni 2006
  • Niet online

Tsurany

⭐⭐⭐⭐⭐

Dat hangt er natuurlijk vanaf of 4.0 wel alle features van de voorgaande versies in zich heeft.

SMA SB5.0 + 16x Jinko 310wp OWO + 10x Jinko 310wp WNW |--|--| Daikin 4MXM68N + 1x FTXA50AW + 3x FTXM20N


  • alt-92
  • Registratie: maart 2000
  • Niet online

alt-92

ye olde farte

[search=NET Varianten, welke kiezen]
[google=NET versions]
Wikipedia: .NET Framework

zomaar even wat zaken die je zelf al kan uitzoeken zodat je weet wat waarvoor is.
Het is geen slecht idee om dit te doen voor je een topic opent, want de basisuitleg wat de verschillen zijn en waarom je sommige versies wel of niet nodig zou kunnen hebben kun je hier al prima uit opmaken.

Dan wordt het ook gelijk eenvoudiger om een beslissing te maken welke versie Framework je wel of niet nodig hebt.

ik heb een 864 GB floppydrive! - certified prutser - the social skills of a thermonuclear device


  • DeNachtwacht
  • Registratie: december 2005
  • Laatst online: 25-09 01:16
Hm sorry hoor, maar onder geen van de links kom ik zo 123 tegen waarom .net 4.0 niet gewoon alles is wat je nodig hebt? Mijn vraag is waarom je die verschillende versies hebt, voor winamp heb je toch ook gewoon genoeg aan de laatste versie? Ik mis de logica een beetje van allemaal verschillende versies van hetzelfde.

[Voor 8% gewijzigd door DeNachtwacht op 01-10-2010 18:33]


  • asmi
  • Registratie: augustus 2004
  • Niet online
.NET garandeert geen upward compatibiliteit.
De programma's op je PC zijn ontwikkeld en getest met een bepaalde versie van het .NET framework, er kan niet worden gegarandeerd dat ze zullen werken met een nieuwere versie van .NET, dus ze eisen gewoon de versie waarvoor ze gemaakt zijn.

  • alt-92
  • Registratie: maart 2000
  • Niet online

alt-92

ye olde farte

DeNachtwacht schreef op vrijdag 01 oktober 2010 @ 18:33:
Hm sorry hoor, maar onder geen van de links kom ik zo 123 tegen waarom .net 4.0 niet gewoon alles is wat je nodig hebt?
[...]
Ik mis de logica een beetje van allemaal verschillende versies van hetzelfde.
De Wiki link geeft duidelijk aan wat Framework 1.1, 2.0 en 3.5 voor verschillen hebben.
Als je software hebt die duidelijk targeted is voor een bepaalde versie (en dat als vereiste stelt) omdat daar functionaliteit van wordt gebruikt die niet of niet meer in een hogere versie zit (1.1 is een goed voorbeeld).

Punt is dat ze dus niet allemaal hetzelfde zijn.

Probeer maar eens SQL2005 te installeren op een systeem waar geen 2.0 op staat.

[Voor 5% gewijzigd door alt-92 op 01-10-2010 23:04]

ik heb een 864 GB floppydrive! - certified prutser - the social skills of a thermonuclear device

Pagina: 1


Nintendo Switch (OLED model) Apple iPhone 13 LG G1 Google Pixel 6 Call of Duty: Vanguard Samsung Galaxy S21 5G Apple iPad Pro (2021) 11" Wi-Fi, 8GB ram Nintendo Switch Lite

Tweakers vormt samen met Hardware Info, AutoTrack, Gaspedaal.nl, Nationale Vacaturebank, Intermediair en Independer DPG Online Services B.V.
Alle rechten voorbehouden © 1998 - 2021 Hosting door True

Tweakers maakt gebruik van cookies

Bij het bezoeken van het forum plaatst Tweakers alleen functionele en analytische cookies voor optimalisatie en analyse om de website-ervaring te verbeteren. Op het forum worden geen trackingcookies geplaatst. Voor het bekijken van video's en grafieken van derden vragen we je toestemming, we gebruiken daarvoor externe tooling die mogelijk cookies kunnen plaatsen.

Meer informatie vind je in ons cookiebeleid.

Sluiten

Forum cookie-instellingen

Bekijk de onderstaande instellingen en maak je keuze. Meer informatie vind je in ons cookiebeleid.

Functionele en analytische cookies

Deze cookies helpen de website zijn functies uit te voeren en zijn verplicht. Meer details

janee

    Cookies van derden

    Deze cookies kunnen geplaatst worden door derde partijen via ingesloten content en om de gebruikerservaring van de website te verbeteren. Meer details

    janee